/**
 * MCList: experimental
 * @version 0.1
 * @author Alexandre David
 */

package adavid.awt;

import java.awt.*;

/**
 * MCList multi columns list
 * imported from Alex.awt : unfinished ; bre-beta version in progress
 */
public class MCList extends Container {

  boolean valid=false;
  Dimension size=new Dimension();
  ScrollPane scroll;

  public MCList() {
    setLayout(null);
  }

  public void setScrollPane(ScrollPane pane) {
    scroll=pane;
  }

  public Component add(Component c) {
    if (c!=null) {
      valid=false;
      return super.add(c);
    }
    else
      return null;
  }

  public Dimension getPreferredSize() {
    if (!valid) {
      int w=0,h=0;
      Component[] compo=getComponents();
      Dimension[] dim=new Dimension[compo.length];
      for(int i=0;i<compo.length;i++) {
	Dimension d=compo[i].getPreferredSize();
	dim[i]=d;
	compo[i].setLocation(0,h);
	h+=d.height;
	if (w<d.width)
	  w=d.width;
      }
      for(int i=0;i<compo.length;i++)
	compo[i].setSize(w,dim[i].height);
      setSize(w,h);
      size.width=w;
      size.height=h;
      valid=true;
      if (scroll!=null)
	scroll.doLayout();
    }
    return new Dimension(size);
  }

}
