/**
 * Decompiler: abstract interface for any 3rd party
 * decompiler to be used in Assistant
 * @author Alexandre David
 * @version 1.1
 */

/**
 * 1.0 990905: first version
 * 1.1 990922: option configuration added
 */

package adavid.reflect;

public interface Decompiler {

    //set the mode
    public void setDecompile();
    public void setDisassemble();
    
    //do the job!
    public String decompileClass(Class className);

    //identification
    public String getDecompilerName();

    //setup options
    public void setupOptions(adavid.util.Assistant master);
    public boolean hasOptions();

}



