/**
 * DataResourceAccessible
 * to have access to private data in resource definition,
 * one should implements this interface and define these methods
 * otherwise, only public data will be accessible
 * @version 1.0
 * @author Alexandre David
 */

/**
 * version history
 * 1.0: first version
 */

package adavid.util;
import java.lang.reflect.Field;

public interface DataResourceAccessible {

  public void set(Field field,Object value) throws IllegalAccessException;
  public Object get(Field field) throws IllegalAccessException;

}
